﻿
namespace SilverlightApplication6.Web
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using System.ComponentModel.DataAnnotations;
    using System.Data;
    using System.Linq;
    using System.Web.DomainServices;
    using System.Web.DomainServices.Providers;
    using System.Web.Ria;
    using System.Web.Ria.Services;
    using System.Data.Linq;


    // Implements application logic using the TestDatabaseEntities context.
    // TODO: Add your application logic to these methods or in additional methods.
    // TODO: Wire up authentication (Windows/ASP.NET Forms) and uncomment the following to disable anonymous access
    // Also consider adding roles to restrict access as appropriate.
    // [RequiresAuthentication]
    [EnableClientAccess()]
    public class TestDomainService : LinqToEntitiesDomainService<TestDatabaseEntities>
    {

        // TODO: Consider
        // 1. Adding parameters to this method and constraining returned results, and/or
        // 2. Adding query methods taking different parameters.
        public IQueryable<Order> GetOrder()
        {           
            return this.ObjectContext.Order.Include("OrderLine");
        }

        public void InsertOrder(Order order)
        {
            this.ObjectContext.AddToOrder(order);
        }

        public void UpdateOrder(Order currentOrder)
        {
            if ((currentOrder.EntityState == EntityState.Detached))
            {
                this.ObjectContext.AttachAsModified(currentOrder, this.ChangeSet.GetOriginal(currentOrder));
            }
        }

        public void DeleteOrder(Order order)
        {
            if ((order.EntityState == EntityState.Detached))
            {
                this.ObjectContext.Attach(order);
            }
            this.ObjectContext.DeleteObject(order);
        }

        // TODO: Consider
        // 1. Adding parameters to this method and constraining returned results, and/or
        // 2. Adding query methods taking different parameters.
        public IQueryable<OrderLine> GetOrderLine()
        {
            return this.ObjectContext.OrderLine;
        }

        public void InsertOrderLine(OrderLine orderLine)
        {
            this.ObjectContext.AddToOrderLine(orderLine);
        }

        public void UpdateOrderLine(OrderLine currentOrderLine)
        {
            if ((currentOrderLine.EntityState == EntityState.Detached))
            {
                this.ObjectContext.AttachAsModified(currentOrderLine, this.ChangeSet.GetOriginal(currentOrderLine));
            }
        }

        public void DeleteOrderLine(OrderLine orderLine)
        {
            if ((orderLine.EntityState == EntityState.Detached))
            {
                this.ObjectContext.Attach(orderLine);
            }
            this.ObjectContext.DeleteObject(orderLine);
        }
    }
}


