﻿#pragma warning disable 649    // disable compiler warnings about unassigned fields

namespace SilverlightApplication6.Web
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using System.ComponentModel.DataAnnotations;
    using System.Data.Objects.DataClasses;
    using System.Linq;
    using System.Web.DomainServices;
    using System.Web.Ria;
    using System.Web.Ria.Services;


    // The MetadataTypeAttribute identifies OrderMetadata as the class
    // that carries additional metadata for the Order class.
    [MetadataTypeAttribute(typeof(Order.OrderMetadata))]
    public partial class Order
    {

        // This class allows you to attach custom attributes to properties
        // of the Order class.
        //
        // For example, the following marks the Xyz property as a
        // required field and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz;
        internal sealed class OrderMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private OrderMetadata()
            {
            }

            public int OrderID;

            [Include]
            public EntityCollection<OrderLine> OrderLine;

            public string OrderName;

            public decimal Total;

            public string UserName;
        }
    }

    // The MetadataTypeAttribute identifies OrderLineMetadata as the class
    // that carries additional metadata for the OrderLine class.
    [MetadataTypeAttribute(typeof(OrderLine.OrderLineMetadata))]
    public partial class OrderLine
    {

        // This class allows you to attach custom attributes to properties
        // of the OrderLine class.
        //
        // For example, the following marks the Xyz property as a
        // required field and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz;
        internal sealed class OrderLineMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private OrderLineMetadata()
            {
            }

            public string Description;

            public int LineID;

            public Order Order;

            public decimal Total;
        }
    }
}

#pragma warning restore 649    // re-enable compiler warnings about unassigned fields
